Name: gnue-designer
Version: 0.5.6
Release: alt0.1

Summary: GNU Enterprise Designer

License: GPL
Group: Office
Url: http://www.gnue.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

BuildArchitectures: noarch

# manually removed: eric
# Automatically added by buildreq on Wed Dec 08 2004
BuildRequires: gnue-common python-base python-dev python-modules-compiler python-modules-encodings python-modules-xml

%define gnue_req gnue-forms >= 0.5.9
BuildPreReq: %gnue_req
Requires: %gnue_req

AutoReq: yes, nopython

%description
GNUe Designer is the IDE for the GNUe tools. It allows you to
visually layout your forms in a RAD-style environment. Designer
has a builtin forms client, so you can quickly test your forms
while still in Designer.  Designer also has support for form
creation wizards... answer a few questions, attach your form
to one or more database tables, select the fields to include,
and, voila, a basic form is created. Basic support for schema
creation is also included.

%prep
%setup -q

# for dependences
#%__mkdir -p tmp && python setup.py install --root=tmp

%install
python setup.py install --root=%buildroot

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/gnue/*
%_libdir/gnue/*
%_docdir/*
%_man1dir/*

%changelog
* Fri Apr 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.6-alt0.1
- new version
- strict gnue internal deps
- rebuild with python 2.4

* Wed Dec 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.5-alt0.2
- fix spec

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.5-alt0.1
- new version

* Thu Nov 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.4-alt0.1
- first build for ALT Linux Sisyphus

